Bug 497138 - Review Request: perl-Text-VimColor - Syntax color text in HTML or XML using Vim
Review Request: perl-Text-VimColor - Syntax color text in HTML or XML using Vim
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 09:50 EDT by Marcela Mašláňová
Modified: 2009-04-24 02:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 02:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-22 09:50:35 EDT
Spec URL:
http://mmaslano.fedorapeople.org/review/perl-Text-VimColor.spec
SRPM URL:
http://mmaslano.fedorapeople.org/review/perl-Text-VimColor-0.11-1.fc11.src.rpm
Description: 
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colourful source code
samples. It can produce output in the following formats:
  text-vimcolor --format html --filetype prolog foo.pl > foo.html
This program is a command line interface to the Perl module Text::VimColor.
Comment 1 Iain Arnell 2009-04-22 11:06:20 EDT
+ source files match upstream.  
  5073ae91074a41dd1e6d22c0cf2a6934f0bb3a39  Text-VimColor-0.11.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
- BuildRequires are missing
  perl(XML::Parser)

+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1314782
+ package installs properly.
+ rpmlint has no complaints:
  perl-Text-VimColor.noarch: I: checking
  perl-Text-VimColor.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides are sane:
  perl(Text::VimColor) = 0.11
  perl-Text-VimColor = 0.11-1.fc12

- final requires need fixing
  /usr/bin/perl  
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Carp)  
  perl(File::Copy)  
  perl(File::Temp)  
  perl(Getopt::Long)  
  perl(IO::File)  
  perl(Path::Class)  
  perl(Path::Class) >= 0.02
  perl(Text::VimColor)  
  perl(strict)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

- %check is present and all tests pass.
  t/01array.t ..... ok
  t/02file.t ...... ok
  t/05xml.t ....... skipped: XML::Parser module required for these tests.
  t/10cmp.t ....... ok
  t/15let.t ....... ok
  t/20override.t .. ok
  t/99pod.t ....... ok
  All tests successful.
  Files=7, Tests=29,  2 wallclock secs ( 0.06 usr  0.02 sys +  1.64 cusr  0.34 csys =  2.06 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


There's a BuildRequires missing for perl(XML::Parser)

You don't need the explicit Requires: perl(Path::Class) since we've had >0.02 for a long time now.

But I think you should add a Requires: vim-enhanced since this package is pretty useless without it.
Comment 3 Iain Arnell 2009-04-23 04:12:55 EDT
Great - issues addressed - APPROVED.
Comment 4 Marcela Mašláňová 2009-04-23 04:42:56 EDT
New Package CVS Request
=======================
Package Name: perl-Text-VimColor
Short Description: Syntax color text in HTML or XML using Vim
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-23 12:50:19 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.